**Purpose**:
If you need to set up RDP access to a Linux environment, you will want to install XRDP.  Once it is installed, you can leverage other tools such as Apache Guacamole to remotely connect to it.

```
# Install and Start XRDP Service
sudo dnf install epel-release -y
sudo dnf install xrdp -y
sudo systemctl enable --now xrdp

# Open Firewall Rules for RDP Traffic
sudo firewall-cmd --permanent --add-port=3389/tcp
sudo firewall-cmd --reload
```