**Purpose**: When an APC battery backup's battery dies, you can manually replace the cells and 'refurbish' the battery.  The following diagram is how you rewire the cells.

!!! warning "Work in Progress"
    This document is still being written 

## Wiring Diagram
``` mermaid
graph TB
    %% Define cells and connections
    Cell1["Cell 1<br>Black (Negative) to Black (Negative)"] -.-> AndersonNeg["Anderson Connector Negative<br>(Black)"]
    Cell1 -->|"Red (Positive) to Black (Negative)"| Cell2["Cell 2<br>Red (Positive) to Black (Negative)"]
    Cell2 -->|"Red (Positive) to Black (Negative)"| Cell3["Cell 3<br>Red (Positive) to Black (Negative)"]
    Cell3 -->|"Red (Positive) to Fuse"| Fuse["30A Fuse"]
    Fuse -->|"Red (Positive) to Black (Negative)"| Cell4["Cell 4<br>Red (Positive) to Black (Negative)"]
    Cell4 -->|"Red (Positive) to Anderson Connector Positive"| AndersonPos["Anderson Connector Positive<br>(Red)"]

    %% Define styles
    classDef battery fill:#f2f2f2,stroke:#000,stroke-width:2px;
    class Cell1,Cell2,Cell3,Cell4 battery;

    classDef fuse fill:#ffcc00,stroke:#000,stroke-width:2px;
    class Fuse fuse;

    classDef anderson fill:#00ccff,stroke:#000,stroke-width:2px;
    class AndersonPos,AndersonNeg anderson;

    classDef positive fill:#ff0000,stroke:#000,stroke-width:2px;
    class AndersonPos positive;

    classDef negative fill:#000000,stroke:#fff,stroke-width:2px;
    class AndersonNeg negative;

    %% Define line colors for clarity
    linkStyle 0 stroke:#000,stroke-width:2px; 
    linkStyle 1 stroke:#ff0000,stroke-width:2px; 
    linkStyle 2 stroke:#ff0000,stroke-width:2px; 
    linkStyle 3 stroke:#ff0000,stroke-width:2px; 
    linkStyle 4 stroke:#ff0000,stroke-width:2px; 
    linkStyle 5 stroke:#ff0000,stroke-width:2px;
```