**Purpose**:
This is meant as a high-level generally-speaking best practice retention policy in most use-cases.  This document will generally be pretty bare-bones, but the general idea is the following advanced GFS retention period is generally configured on backup copy jobs, specifically ones that have off-site backups, but can also be used for local backup repositories.

Navigate to Jobs > Backup (or Backup Copy) > (Find a Backup Job) > Right-Click > Edit > Storage (or Target) > "**Keep Certain Full Backups for Archival Purposes**: Checked" > Click on the "**Configure**" button.

Optional: Click the "**Save as Default**" button before clicking the "**OK**" button to make this default behavior for new backup jobs.

| **Description** | **Status** | **Value** |
| :--- | :--- | :--- |
| Keep Weekly Full Backups | Enabled | 4 |
| Keep Monthly Full Backups | Enabled | 3 |
| Keep Yearly Full Backups | Enabled | 1 (`3 - 7 for Medical HIPAA`) |

!!! note "7 Daily Backups Assumption"
    This document assumes that you at (least) keep 7 daily backups in the normal backup schedule.  Meaning **7 daily, 4 weekly, 3 monthly, and 1 yearly** backup is maintained at all times.