**Purpose**:
Sometimes you are running a virtual machine and are running out of space, and want to expand the operating system disk.  However, there is a recovery partition to-the-right of the operating system partition.  When this happens, you have to delete that partition in order to expand the storage space for the operating system.  

**From within the VM** > Open a powershell window and run the following commands:
``` powershell
diskpart # (1)
list disk # (2)
select disk 0 # (3)
select partition 4 # (4)
delete partition override # (5)
select partition # (6)
extend # (7)
exit # (8)
```

1.  This opens the disk management 
2.  This displays all disks attached to the device.
3.  Ensure this disk number corresponds to the operating system disk.  Open the Disk Management GUI if you are not 100% certain.
4.  This partition number is for the partition of type "Recovery"
5.  This instructs the computer to delete the partition and ignore the fact that it was a recovery partition.
6.  You want to select the operating system partition now, so we can expand it.
7.  This will expand the operating system partition into the unallocated space that is now available to it.
8.  Gracefully close the disk management CLI utility.