---
draft: false 
date: 2024-12-15
updated: 2024-12-15
authors:
  - nicole
categories:
  - General
  - Documentation
tags:
  - MKDocs
  - Material MkDocs
  - Documentation
---

# Implementing the Blog Plugin
I had decided that I wanted to experiment with the built-in blog functionality of Material MKDocs because it might be a way to catalog my thoughts as I work on projects.  A lot of time, my notes are scattered across RocketChat and Discord, and get thrown into disarray, so I hope that I can instead centralize my thoughts, projects, and things of that sort here.  This is the first step on that journey.

## The blog workflow
When I write a blog article, it is generally based on the official [Blog Documentation](https://squidfunk.github.io/mkdocs-material/setup/setting-up-a-blog/).  The formatting uses a few metadata tags, and looks like the following:

```md
---
draft: false
date: 2024-12-15
updated: 2024-12-15
authors:
  - nicole
categories:
  - General
  - Documentation
tags:
  - MKDocs
  - Material MkDocs
  - Documentation
---

# Example Post Title
Placeholder Text / Body of the Blog Post.
```