# Home
This website exists to document various aspects of my homelab environment.  It is publically-accessible to benefit others who have similar homelabs, and can act as a learning resource for those who want to learn more about homelabs.

!!! note
    This website does not contain any sensitive credentials to any of my homelab infrastructure, anything of that sort has been redacted / generalized for the purpose of instruction.  Beyond that, this documentation makes some assumptions, such as that you are using [Portainer](https://docs.bunny-lab.io/Docker%20%26%20Kubernetes/Servers/Docker/Portainer/) to deploy containers, [AWX](https://docs.bunny-lab.io/Docker%20%26%20Kubernetes/Servers/AWX/AWX%20Operator/Ansible%20AWX%20Operator/) to deploy Ansible playbooks, etc.

Use the navigation tabs at the top of the website to browse the different homelab documentation categories.  They are mostly self-explanatory.