### IP Addresses
Documented IP addresses of containers.

## 192.168.5.0/24 Network
| **IP Address** | **Hostname** | **Additional Notes** |
| :--- | :--- | :--- |
| 192.168.5.1 | PFSENSE | pfSense Firewall |
| 192.168.5.2 | AUTH.bunny-lab.io | Keycloak Server |
| 192.168.5.3 | AUTH.bunny-lab.io | Keycloak PostgreSQL DB Server |
| 192.168.5.4 | ALPINE-WORK-01.bunny-lab.io | Firefox Containerized Environment |
| 192.168.5.5 | ACTUAL.bunny-lab.io | Actual Finance Server |
| 192.168.5.6 | Monica | Server |
| 192.168.5.7 | Monica | Database |
| 192.168.5.8 | Gatus | Server |
| 192.168.5.9 | Gatus | Database |
| 192.168.5.10 | `UNDOCUMENTED - Active` | |
| 192.168.5.11 | NOTES.bunny-lab.io | Trillium Notes |
| 192.168.5.12 | `UNDOCUMENTED - Active` | |
| 192.168.5.13 | LAB-CLOUD-02 | Docker Proxy |
| 192.168.5.14 | `UNDOCUMENTED - Active` | |
| 192.168.5.15 | `UNDOCUMENTED - Active` | |
| 192.168.5.16 | `UNDOCUMENTED - Active` | |
| 192.168.5.17 | `UNDOCUMENTED - Active` | |
| 192.168.5.18 | `UNDOCUMENTED - Active` | |
| 192.168.5.19 | Immich | Server |
| 192.168.5.20 | Immich | Microservices |
| 192.168.5.21 | Immich | Machine Learning |
| 192.168.5.22 | Immich | Redis DB |
| 192.168.5.23 | Immich | PostgreSQL DB |
| 192.168.5.24 | Sanctuary | Content Database Server |
| 192.168.5.25 | Homebox | Inventory Management System |
| 192.168.5.26 | Material MkDocs | Voice Training Documentation |
| 192.168.5.27 | MM.bunny-lab.io | Mattermost PostgreSQL DB |
| 192.168.5.28 | MM.bunny-lab.io | Mattermost Server |
| 192.168.5.29 | `UNDOCUMENTED - Active` | |
| 192.168.5.30 | Pyload | Python-Based Download Manager |
| 192.168.5.31 | FLATNOTES.bunny-lab.io | Note-Taking Server |
| 192.168.5.32 | SEMAPHORE.bunny-lab.io | Ansible Semaphore |
| 192.168.5.33 | SEMAPHORE.bunny-lab.io | Ansible Semaphore PostgreSQL Database |
| 192.168.5.34 | CONTACT.bunny-lab.io | Linkstack |