**Purpose**:
When someone types a message that includes a ticket number (e.g. `T00000000.0000`) we want to replace that text with an API-friendly URL that leverages Markdown language as well.

From RocketChat, navigate to the "Marketplace" and look for "**Word Replacer**".  You can find the application's [GitHub Page](https://github.com/Dimsday/WordReplacer) for additional information / source code review.  Proceed to install the application.  Once it has been installed, use the following RegEx filter / string in the application's settings:

``` json
[{"search": "T(\\d{8}\\.\\d{4})", "replace": "[$&](https://ww15.autotask.net/Autotask/AutotaskExtend/ExecuteCommand.aspx?Code=OpenTicketDetail&TicketNumber=$&)"}]
```

!!! success
    Now everything should be functional and replacing ticket numbers with valid links that open the ticket in Autotask.